Package com.databricks.jdbc.telemetry

## Class TelemetryHelper

- java.lang.Object
- - com.databricks.jdbc.telemetry.TelemetryHelper

    public class TelemetryHelper
    extends Object

### Constructor Summary

Constructors
`TelemetryHelper()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `exportFailureLog​(IDatabricksConnectionContext connectionContext, String errorName, String errorMessage, TelemetryLogLevel logLevel)`
`static void` `exportFailureLog​(IDatabricksConnectionContext connectionContext, String errorName, String errorMessage, String statementId, Long chunkIndex, TelemetryLogLevel logLevel)`
`static void` `exportTelemetryLog​(StatementTelemetryDetails telemetryDetails, TelemetryLogLevel logLevel)`
`static com.databricks.sdk.core.DatabricksConfig` `getDatabricksConfigSafely​(IDatabricksConnectionContext context)`
`static DriverSystemConfiguration` `getDriverSystemConfiguration()`
`static String` `getStatementIdString​(StatementId statementId)`
`static boolean` `isTelemetryAllowedForConnection​(IDatabricksConnectionContext context)`
`static OperationType` `mapMethodToOperationType​(String methodName)`
`static void` `updateTelemetryAppName​(IDatabricksConnectionContext connectionContext, String clientInfoAppName)` Sets/updates client app name in telemetry

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TelemetryHelper

    public TelemetryHelper()

### Method Detail

#### getDriverSystemConfiguration

    public static DriverSystemConfiguration getDriverSystemConfiguration()

#### isTelemetryAllowedForConnection

    public static boolean isTelemetryAllowedForConnection​(IDatabricksConnectionContext context)

#### exportTelemetryLog

    public static void exportTelemetryLog​(StatementTelemetryDetails telemetryDetails,
                                          TelemetryLogLevel logLevel)

#### exportFailureLog

    public static void exportFailureLog​(IDatabricksConnectionContext connectionContext,
                                        String errorName,
                                        String errorMessage,
                                        TelemetryLogLevel logLevel)

#### exportFailureLog

    public static void exportFailureLog​(IDatabricksConnectionContext connectionContext,
                                        String errorName,
                                        String errorMessage,
                                        String statementId,
                                        Long chunkIndex,
                                        TelemetryLogLevel logLevel)

#### getStatementIdString

    public static String getStatementIdString​(StatementId statementId)

#### getDatabricksConfigSafely

    public static com.databricks.sdk.core.DatabricksConfig getDatabricksConfigSafely​(IDatabricksConnectionContext context)

#### mapMethodToOperationType

    public static OperationType mapMethodToOperationType​(String methodName)

#### updateTelemetryAppName

    public static void updateTelemetryAppName​(IDatabricksConnectionContext connectionContext,
                                              String clientInfoAppName)

Sets/updates client app name in telemetry

Parameters:
  `connectionContext` - The connection context
  `clientInfoAppName` - The application name from client info properties, can be null